<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Sites extends CI_Controller {
	
	function __construct()
	{
		parent::__construct();
		$this->load->library('ion_auth');
		$this->load->helper('url');
		$this->load->helper('form');
		$this->load->model('Datamodel');
		$this->load->model('Usermodel');
		$this->load->library('pagination');	
		$this->load->helper('language');
		$this->lang->load('page');
		$this->data['active_pages'] = lang('dash_page_title');	
        
		if(!$this->ion_auth->logged_in()) {
			
			redirect('/login');
		
		}
		
			
	}
	
	public function index(){
		$this->data['pagetitle']='dashboard';
		$this->data['sites_controller']=$this;
		$this->data['campaigns']=$this->Datamodel->fetch_all_data();
		$this->load->view('pages/dashboard',$this->data);
	}
		//To check campaign is already exist or not
	public function Checkname()
	{
		
		$u = $this->ion_auth->user()->row();
		$user_id = $u->id;
		if(isset($_POST['camp_name'])) {
			$camp_name=$_POST['camp_name'];
			$camp_name_count=$this->Datamodel->check_camp_name($camp_name,$user_id);
			//echo $camp_name_count;exit;
			if($camp_name_count > 0 ) {
				echo 1;
			} 
			else 
			{
				echo 0;
			}
		}
		else
			echo "post error";
		
	}
	
	//Add Campaign Name into database function
	public function addCampaign($camp_name){
		$u = $this->ion_auth->user()->row();
		$user_id = $u->id;
		$camp_id=$this->session->userdata('camp_id');
		if(!isset($camp_id) && $camp_id ==''){
			$cid = $this->Datamodel->addCampaign($camp_name,$user_id);
			 if($cid !=''){
				$this->session->set_userdata('camp_id',$cid);
				$this->session->set_userdata('camp_name',$camp_name);
				return $cid;
			}else{
				return false;
			}
		}else{
			return $camp_id;
		}
		
       
		//echo $cid;
	}
	
	//Edit Campaign Name into database function
	public function editcampaignname(){
		$camp_name=$this->input->post('camp_name');
		$camp_id=$this->input->post('camp_id');
		$u = $this->ion_auth->user()->row();
		$user_id = $u->id;
		$cid=$this->Datamodel->editCampaign($camp_name,$user_id,$camp_id);
		if($cid !=''){
			echo $cid;
		}else{
			echo 'abc';
		}
		//echo $cid;
	}
	
	public function search(){
		$page=$this->input->post('page');
		//$apikeyArray=array('AIzaSyAeGgeLjNFBMJK3BpGO9ViTV4eDSa8L51E','AIzaSyACOxRsN4_-5TodqdNNB0dZOSjVFRczIaM','AIzaSyBvVpRchQtA2Nm1ma0p0vcXVDuHsRRX1eE','AIzaSyAp9Jpn0K6XydOn0usRfe-VSLIa_pIge2c','AIzaSyBvblvHEw1ZBQSMst4qbnVmWFxAd1A-ROU');
		//shuffle($apikeyArray);
		$this->load->config('heredotcom_config');
		$this->data["APPLICATION_ID"]=$this->config->item('APPLICATION_ID', 'here');
		$this->data["APPLICATION_CODE"]=$this->config->item('APPLICATION_CODE', 'here');
		$this->data["AUTOCOMPLETION_URL"]=$this->config->item('AUTOCOMPLETION_URL', 'here');
		//$this->data["gkey"]=$apikeyArray[0];
		//$this->data["gkey"]=$apikeyArray[0];
		switch($page){
			case 'search':
				$camp_name=$this->input->post('camp_name');
			    $data=$this->addCampaign($camp_name);
				$this->data['camp_id']=$data;
				if($data!=''){
					$this->load->view('pages/searchpage',$this->data);
				}else{
					show_error('404 page Found',404, $heading = 'An Error Was Encountered');
				}
				break;
			case 'results':
				$keyword=$this->input->post('keyword');
				$location=$this->input->post('location');
				$lat_long=$this->getlatlong(urlencode($location));
				//print_r(implode(',',$lat_long));exit;
				$maxresults=$this->input->post('maxresults');
				$user = $this->ion_auth->user()->row();
				$user_fb_token=$user->fbuser_access_token;
				$fields=array('name','id','about','app_links','checkins','cover','description','engagement','hours','is_always_open','is_verified',
				'link','location','overall_star_rating','parking','payment_options','phone','photos','picture','price_range','rating_count',
				'restaurant_services','restaurant_specialties','single_line_address','website','workflows');
				$field=implode(',',$fields);
				$url='https://graph.facebook.com/v3.1/search?access_token='.$user_fb_token.'&fields='.$field.'&q='.urlencode($keyword).'&type=place&center='.implode(',',$lat_long).'&distance=5000&limit='.$maxresults;
				$response = $this->processURL($url);
				$results=json_decode($response,true);
				if(empty($results)){
					show_error('404 page Found',404, $heading = 'An Error Was Encountered');
				}else{
					$this->data['results']=$results;
					$this->load->view('pages/searchpage',$this->data);
				}
			    
		}
	}
	public function getlatlong($location){
		$this->load->config('heredotcom_config');
		$app_id=$this->config->item('APPLICATION_ID', 'here');
		$app_code=$this->config->item('APPLICATION_CODE', 'here');
		$GEOCODER_URL=$this->config->item('GEOCODER_URL', 'here');
		$geocoderurl=$GEOCODER_URL.'?app_id='.$app_id.'&app_code='.$app_code.'&searchtext='.$location;
		$data=json_decode($this->processURL($geocoderurl),true);
		$lattitide=$data['Response']['View'][0]['Result'][0]['Location']['DisplayPosition']['Latitude'];
		$Longitude=$data['Response']['View'][0]['Result'][0]['Location']['DisplayPosition']['Longitude'];
		$arr=array();
		$arr['lattitide']=$lattitide;
		$arr['Longitude']=$Longitude;
		return $arr;
	}
	public function setting(){
		$this->data["smtpdetails"]=$this->Datamodel->fetch_smtp_data();
		$this->load->view('pages/settings',$this->data);
	}
	
	public function addaccesstoken(){
		require_once('./application/libraries/src/facebook.php');
		//require_once ('./application/libraries/src/Facebook/autoload.php'); 
		$this->load->config('facebook_config');
		$this->data['me'] = null;
		define('FACEBOOK_APP_ID',$this->config->item('commonAppID', 'facebook'));
		//echo APP_ID;
		//echo '</br>';
		//echo $_REQUEST['changetoken'].'hi';exit;
		$this->data['app_id'] = FACEBOOK_APP_ID;
		$this->data['app_secret'] = $this->config->item('commonSecret', 'facebook');
		if(isset($_REQUEST['changetoken']))
		{
			$facebook = new Facebook(array(
					'appId'	=> $this->data['app_id'],
					'secret' => $this->data['app_secret'],
					//'default_graph_version' => 'v2.10',
					//	'cookie'	=> true
			));
			//$helper = $facebook->getRedirectLoginHelper();
			//$helper = $facebook->getJavaScriptHelper();
			//print_r($helper);exit;

			if(isset($_POST['accesstoken']))
			{
				$facebook->setAccessToken($_POST['accesstoken']);
				//$accessToken = new Facebook\Authentication\AccessToken($_POST['accesstoken']);
				//$facebook->setDefaultAccessToken($accessToken->getValue());
				$this->data['accesstoken'] = $_POST['accesstoken'];
				$token = $this->renewToken($_POST['accesstoken']);
				$this->Usermodel->updateToken($token);
                $fbuser_email=$this->input->post('fbuser_email');
                $fbuser_profilepic=$this->input->post('fbuser_profilepic');
				$this->Usermodel->updateInfo($fbuser_email,$fbuser_profilepic);
                
			}		
			$session = $facebook->getUser();
			$this->data['fb_session'] = $session;
	
			$this->data['me'] = null;
			// if have session get user data
			//print_r($session);exit;
			if ($session)
			{
				try
				{
					$fuid = $facebook->getUser();
					//print_r($fuid);exit;
					$this->data['me'] = $facebook->api('/me');
					/* $accountArray = $this->processURL("https://graph.facebook.com/v2.10/me?fields=adaccounts%7Bid%7D&access_token=".$_POST['accesstoken']);
					$accountJson = json_decode($accountArray);
					$accountID = $accountJson->adaccounts->data[0]->id;
					$this->usermodel->updateAccountId($accountID); */

					//print_r($accountJson);
					/* handle the result */
					$this->data['pages'] = $facebook->api('/me/accounts');
				}
				catch(FacebookApiException $e)
				{
					error_log($e);
				}
			}
			if(!empty($this->data['pages']))
			{
				$this->Datamodel->deletePages();

				$this->data['pagedetails'] = $this->data['pages']['data'];
				
				$this->data['access_token'] =  $this->data['pages']['data'][0]['access_token'];
				
				if($this->data['pagedetails'])
				{
			
					foreach($this->data['pagedetails'] as $pagedetail)
					{
						//echo $pagedetail['id'];

						$token = $this->processURL('https://graph.facebook.com/v2.2/oauth/access_token?grant_type=fb_exchange_token&client_id='.$this->data['app_id'].'&client_secret='.$this->data['app_secret'].'&fb_exchange_token='.$pagedetail['access_token']);
						$arr = explode('=', $token);
						//print_r($token);
						$arrayT = json_decode($token,true);
						$accessToken = str_ireplace('&expires','',$arrayT['access_token']);

						$pageAccessToken = $pagedetail['access_token'];
				
						$this->Datamodel->insertPageDetail($pagedetail['id'],$pagedetail['name'],$accessToken);

					}
		
				}
			}
		}
		
		$this->data["ActiveTab"] = 'setting';	
		redirect('setting');
	}
		
	function renewToken($accessToken)
	{
		$this->load->config('facebook_config');
		$app_id = $this->config->item('commonAppID', 'facebook');
		$app_secret = $this->config->item('commonSecret', 'facebook');
		$acurl =  "https://graph.facebook.com/oauth/access_token?grant_type=fb_exchange_token&client_id=".$app_id."&client_secret=".$app_secret."&fb_exchange_token=".$accessToken;
		$acresponse = $this->processURL($acurl);
		$array = json_decode($acresponse , true);
		//print_r($acresponse);
		//echo $array['access_token'];
		// $acresponse = file_get_contents($acurl);
		$pos=strpos($acresponse,'=');
		$pos1=strpos($acresponse,'&');
		$accessToken=substr($acresponse,$pos+1,$pos1-$pos);
		return $array['access_token'];
	}
	
	
	public function unauthorizedFB()
	{
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$this->Datamodel->deleteAccessToken($userID);
	}
	
	public function grabDetails(){
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$url =$this->input->post('url');
	
		$url = $this->addhttp($url);
		$weburl = $url;
		//echo $url;
		$response = $this->processURL($url);
		$op = array();
		$op['comments'] = null;	
		$op['views'] = null;	
		$op['likes'] = null;	
		$op['dislikes'] = null;		
		$op['video'] = null;		
		$op['videourl'] = null;		
		//$op['contact'] = null;		
		$op['lead'] = null;		
		//$op['facebook'] = null;		
		//$op['twitter'] = null;		
		//$op['instagram'] = null;		
		$op['wordpress'] = null;		
		$op['flash'] = null;		
		$op['pdf'] = null;		
		if(empty($response))
		{
		$response = file_get_contents($url);
		}
		if(stripos($response,'301 Moved Permanently') || stripos($response,'302 Found'))
		{
			//	echo 'inside';
	
			if(stripos($url,'www.') == false)
			{
				//echo 'inside2';
				$url = str_ireplace('://','://www.',$url);	
				$response = $this->processURL($url);
				if(empty($response))
				{
					$response = file_get_contents($url);
				}
				if(stripos($response,'301 Moved Permanently') || stripos($response,'302 Found'))
				{
					preg_match_all('/(https?|ssh|ftp):\/\/[^\s"]+/', $response, $url);
					//print_r($url);
					$response = $this->processURL($url[0][0]);
					if(empty($response))
					{
						$response = file_get_contents($url[0][0]);
					}
				}
			}
			
		}	
		if(stripos($response,'<title>400 Bad Request</title>'))
		{
			$response = $this->processURL_UserAgent($url);
			
		}		
		//echo $response;
		$pattern = '/[a-z0-9_\-\+]+@[a-z0-9\-]+\.([a-z]{2,3})(?:\.[a-z]{2})?/i';
		preg_match_all($pattern, $response, $matches);
		$unique = array_unique($matches[0]);		
		
		preg_match('/<iframe.*src=\"(.*)\".*><\/iframe>/isU', $response, $op2); //check if iframe present
		if(!empty($op2))
		{
			if(stripos($op2[1],'youtube') || stripos($op2[1],'vimeo') || stripos($op2[1],'.mp4'))
			{
				//$response['video'] ='<p class="video">Embed Code:</p>'.$op[1];
				$op2[1]  = str_ireplace('http://','https://',$op2[1]);
				$op['videourl']=$op2[1];
				//$op['video'] ='<iframe width="100%" height="164" src="'.$op2[1].'" frameborder="0" allowfullscreen></iframe>';
				//$op['videoicon'] = '<a href="'.$op2[1].'" class="video" target="_blank"><i class="fa fa-play"></i></a>';		
			}
		}	
		if(!empty($op2))
		{
			if(stripos($op2[1],'youtube'))
			{
				$ytEmbedCode = str_ireplace('https://www.youtube.com/embed/','',$op2[1]);	
				$ytEmbedCode = str_ireplace('http://www.youtube.com/embed/','',$ytEmbedCode);	
				$ytEmbedCode = str_ireplace('//www.youtube.com/embed/','',$ytEmbedCode);	
			
				if(stripos($ytEmbedCode,'?'))
				{
					$ytEmbedCode = substr($ytEmbedCode, 0, strpos($ytEmbedCode, "?"));
				}
				$apikey='AIzaSyBTnEVpwqZ7NXJD0q8S7YuPtOQQ1X6Adtg';
				$JSON ="https://www.googleapis.com/youtube/v3/videos?part=statistics&id=".$ytEmbedCode."&key=".$apikey;
				$data3 = $this->processURL($JSON);
				//$index='".$videoid.';
				$decoded_stats[$ytEmbedCode] = json_decode($data3, true);		
				//print_r($decoded_stats[$videoidd]['items'][0]['statistics']);
				$op['comments'] = $decoded_stats[$ytEmbedCode]['items'][0]['statistics']['commentCount'];	
		  
				$op['views'] = $decoded_stats[$ytEmbedCode]['items'][0]['statistics']['viewCount'];	
		  
				$op['likes'] = $decoded_stats[$ytEmbedCode]['items'][0]['statistics']['likeCount'];	
		   
					//$op['dislikes'] = $decoded_stats[$ytEmbedCode]['items'][0]['statistics']['dislikeCount'];
		
			}
			if(stripos($op2[1],'vimeo'))
			{
				$vimeoEmbedCode = str_ireplace('https://player.vimeo.com/video/','',$op2[1]);	
			
				$url="http://vimeo.com/api/v2/video/".$vimeoEmbedCode.".json";
				$all_result  = $this->processURL($url);
				$decoded_results[$vimeoEmbedCode] = json_decode($all_result, true);
			
				$op['comments'] = $decoded_results[$vimeoEmbedCode][0]['stats_number_of_comments'];	
		  
				$op['views']  = $decoded_results[$vimeoEmbedCode][0]['stats_number_of_plays'];	
				  
				$op['likes'] = $decoded_results[$vimeoEmbedCode][0]['stats_number_of_likes'];			
			}
		}
		
		$Flashpattern = '/(\w+\.swf)/';
		preg_match($Flashpattern,$response,$checkFlash);
		//print_r($url);
		//if(stripos($url,'.swf'))
		if(!empty($checkFlash))
		{
			//echo"swf present";
			$op['flash'] = 'Present';
		}
		else
		{
			$op['flash'] = 'Absent';
				
		}
		
		//print($checkFlash);
		
		$pdfmenu = '/(\w+\.pdf)/';
		preg_match($pdfmenu, substr($response,3), $checkpdf);
		if(!empty($checkpdf))
		{
			$op['pdf'] = 'Present';
		}
		else
		{
			$op['pdf'] = 'Absent';
				
		}
		$reg_exUrl = '/(https?|ssh|ftp):\/\/[^\s"]+/';
		preg_match($reg_exUrl, $response, $url);
		preg_match_all('/(https?|ssh|ftp):[^\s"]+/', $response, $url);
		if(stripos($response,'wp-content'))
		{
				$op['wordpress'] ='True';
		}
		else
		{
				$op['wordpress']='False';
		}
		if(!empty($unique))
		{
			foreach(array_unique($unique) as $semail)
			{
				if(!stripos($semail,'.png') && !stripos($semail,'.jpg'))
				{
					$op['lead'] =	$semail;
					break;
				}

			}
		}
		die( json_encode( $op ) );
	}
	
	public function addhttp($url) {
		if (!preg_match("~^(?:f|ht)tps?:~i", $url)) {
			$url = "http://" . $url;
		}
		return $url;
	}
	
	public function checkResponsive(){
		$website = $this->input->post('url');
		$website = $this->addhttp($website);
		$op = array();
		if($website !== '')
		{
			$apikeyArray=array('AIzaSyAeGgeLjNFBMJK3BpGO9ViTV4eDSa8L51E','AIzaSyACOxRsN4_-5TodqdNNB0dZOSjVFRczIaM','AIzaSyBvVpRchQtA2Nm1ma0p0vcXVDuHsRRX1eE','AIzaSyAp9Jpn0K6XydOn0usRfe-VSLIa_pIge2c','AIzaSyCO_jpGcwxovWGodb_lOIGU0LLR3j0_3e4');
			shuffle($apikeyArray);
			$apikey=$apikeyArray[0];
			$rurl = 'https://www.googleapis.com/pagespeedonline/v3beta1/mobileReady?key='.$apikey.'&url='.$website.'&strategy=mobile';
			$rall_result3  = $this->processURL($rurl);
			$rdecoded_result = json_decode($rall_result3, true);
			//print_r($rdecoded_result);
			if($rdecoded_result['ruleGroups']['USABILITY']['pass'] == true || $rdecoded_result['ruleGroups']['USABILITY']['pass']==1)
			{
				$op['responsive'] = 'Responsive';
			
			}else
			{
				$op['responsive'] = 'Not Responsive';						
			
				
			}

			$pagespeed = 'https://www.googleapis.com/pagespeedonline/v2/runPagespeed?url='.urlencode($website).'&key='.$apikey;			
			$pagespeed_result  = $this->processURL($pagespeed);
			$pagespeed_result_array = json_decode($pagespeed_result, true);
			if ($pagespeed_result_array['ruleGroups']['SPEED']['score'] > 1 && $pagespeed_result_array['ruleGroups']['SPEED']['score'] < 50){

				$op['pagespeed1'] =$pagespeed_result_array['ruleGroups']['SPEED']['score'];
				
			}
			if ($pagespeed_result_array['ruleGroups']['SPEED']['score'] > 50 && $pagespeed_result_array['ruleGroups']['SPEED']['score'] < 100){
				
				$op['pagespeed1'] =$pagespeed_result_array['ruleGroups']['SPEED']['score'];
				
			}
		}
		die( json_encode( $op ) );	
	}
	
	public function smtp_agree(){
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$smtpagree=$_REQUEST['smtpagree'];
		$sql2=mysqli_query($this->db->conn_id,"select * from smtpdetails where user_id='".$userID."'");
		if(mysqli_num_rows($sql2)>0){
			$this->Datamodel->update_smtpagree($smtpagree,$userID);	
			$op['data']=1;
		}else{
			$this->Datamodel->insert_smtpagree($smtpagree,$userID);
			$op['data']=1;
		}
		echo json_encode($op);
	}
	
	public function smtp_settings(){
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$sendername=$_REQUEST['sendername'];
		$senderemail=$_REQUEST['senderemail'];
		$smtpaddr=$_REQUEST['smtpaddr'];
		$smtpusername=$_REQUEST['smtpusername'];
		$smtppassword=$_REQUEST['smtppassword'];
		$smtpport=$_REQUEST['smtpport'];
		$flag=0;
		$this->load->library('email');
		$config['protocol'] = "smtp";
		$config['smtp_host'] = $smtpaddr;
		$config['smtp_port'] = $smtpport;
		$config['smtp_user'] = $smtpusername; 
		$config['smtp_pass'] = $smtppassword;
		$config['charset'] = "utf-8";
		$config['mailtype'] = "html";
		$config['newline'] = "\r\n";

		$this->email->initialize($config);

		$this->email->from($senderemail, $sendername);
		$this->email->to($senderemail);
		$this->email->reply_to($senderemail, $sendername);
		$this->email->subject('This is an email test');
		$this->email->message('It is working. Great!');
		$flagdata=array();
		if($this->email->send()== TRUE)
		{
			$flag=1;
			$flagdata['flag']=1;
		}else{
			//echo $this->email->print_debugger();
			$flag=0;
			$flagdata['flag']=0;
		}
	   if($flag==1){
		   $sql2=mysqli_query($this->db->conn_id,"select * from smtpdetails where user_id='".$userID."'");
		   if(mysqli_num_rows($sql2)>0){
			$this->Datamodel->update_smtpdetails($sendername,$senderemail,$smtpaddr,$smtpusername,$smtppassword,$smtpport,$userID);	
			}else{
			$this->Datamodel->insert_smtpdetails($sendername,$senderemail,$smtpaddr,$smtpusername,$smtppassword,$smtpport,$userID);
		   }
	   }
	   echo json_encode($flagdata);
	   die();
   
	}
	public function checkemailexist(){
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$email=$_REQUEST['email'];
		$sql2=mysqli_query($this->db->conn_id,"select * from campaign_details where leads='".$email."' and user_id='".$userID."' and unsubscribe='0'");
		$sql25=mysqli_query($this->db->conn_id,"select * from campaign_details where leads='".$email."' and user_id='".$userID."' and DATE(send_date) > DATE_SUB(CURDATE(), INTERVAL 7 DAY)");
		//echo "select * from sentemailstats where email='".$email."' and user_id='".$userID."' and DATE(senddate) > DATE_SUB(CURDATE(), INTERVAL 7 DAY)";
		if(mysqli_num_rows($sql2)>0){
			echo 1;
		}else if(mysqli_num_rows($sql25)>0){
			echo 1;
		}else{
			echo 0;
		}
		
	}
	public function testmail(){
		$email=$_REQUEST['email'];
		$content=$_REQUEST['content'];
		$subject=$_REQUEST['subject'];
		$place_location=$_REQUEST['location'];
		$keyword=$_REQUEST['keyword'];
		$flagdata=array();
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$user_name=$user->first_name.' '.$user->last_name;
		$content =str_ireplace('{{Lead.User}}',$user_name,$content);
		$content =str_ireplace('{{Lead.Niche}}',$keyword,$content);
		$content =str_ireplace('{{Lead.Location}}',$place_location,$content);
		$sql2=mysqli_query($this->db->conn_id,"select * from smtpdetails where user_id='".$userID."'");
		if(mysqli_num_rows($sql2)>0){
				
			while($row=mysqli_fetch_array($sql2)){
				$sendername=$row['sendername'];
				$senderemail=$row['senderemail'];
				$smtpaddr=$row['smtp_host'];
				$smtpusername=$row['smtp_user'];
				$smtppassword=$row['smtp_pass'];
				$smtpport=$row['smtp_port'];
				
				$this->load->library('email');
				$config['protocol'] = "smtp";
				$config['smtp_host'] = $smtpaddr;
				$config['smtp_port'] = $smtpport;
				$config['smtp_user'] = $smtpusername; 
				$config['smtp_pass'] = $smtppassword;
				$config['charset'] = "utf-8";
				$config['mailtype'] = "html";
				$config['newline'] = "\r\n";

				$this->email->initialize($config);

				$this->email->from($senderemail, $sendername);
				$this->email->to($email);
				$this->email->reply_to($senderemail, $sendername);
				$this->email->subject($subject);
				$this->email->message($content);
				
				if($this->email->send()== TRUE)
				{
					echo 1;
				}else{
					echo 0;
				} 
			}
		}
	}
	public function sendmail(){
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		if(isset($_REQUEST['useremail']) && $_REQUEST['useremail'] !== '')
		{
			$email=$_REQUEST['useremail'];
			//$email='shailesh@sitestrokes.com';
			$keyword=$_REQUEST['keyword'];
			$buzname=$_REQUEST['buzname'];
			$strSubject=$_REQUEST['subject'];
			$contentdata=$_REQUEST['contentdata'];
			$place_id=$this->input->post('place_id');
			$campid=$this->input->post('campid');
			$place_location=$this->input->post('place_location');
			$user_name=$user->first_name.' '.$user->last_name;
			if(isset($_REQUEST['contentdata']))
			{
				$item1=base64_encode($userID);
				$item2=base64_encode($email);
				$unsuburl=base_url().'leadunsub/';
				$emilcontent=$_REQUEST['contentdata'];	
				$emilcontent.='<a href="'.$unsuburl.'unsubscribe.php?email=3D'.$item2.'&id=3D'.$item1.'&status=3D1">unsubscribe</a>';
				//unset($_COOKIE['contentdata']);
				//$emailcontent =str_ireplace('href="htt','href=3D"htt',$emilcontent);
				$emailcontent =str_ireplace('{{Lead.User}}',$user_name,$emilcontent);
				$emailcontent =str_ireplace('{{Lead.Niche}}',$keyword,$emailcontent);
				$emailcontent =str_ireplace('{{Lead.Location}}',$place_location,$emailcontent);
					
			}
			//echo $emailcontent;exit;
			$sql2=mysqli_query($this->db->conn_id,"select * from smtpdetails where user_id='".$userID."'");
			if(mysqli_num_rows($sql2)>0){
				
				while($row=mysqli_fetch_array($sql2)){
					$sendername=$row['sendername'];
					$senderemail=$row['senderemail'];
					$smtpaddr=$row['smtp_host'];
					$smtpusername=$row['smtp_user'];
					$smtppassword=$row['smtp_pass'];
					$smtpport=$row['smtp_port'];
					
					$this->load->library('email');
					$config['protocol'] = "smtp";
					$config['smtp_host'] = $smtpaddr;
					$config['smtp_port'] = $smtpport;
					$config['smtp_user'] = $smtpusername; 
					$config['smtp_pass'] = $smtppassword;
					$config['charset'] = "iso-8859-1";
					$config['mailtype'] = "html";
					$config['newline'] = "\r\n";
					$config['priority'] = "1";

					$this->email->initialize($config);

					$this->email->from($senderemail, $sendername);
					$this->email->to($email);
					$this->email->subject($strSubject);
					$this->email->message($emailcontent);
					
					if($this->email->send()== TRUE)
					{
						$this->data['msg']='success';
						$row_check=$this->Datamodel->check_email_place_exist($campid,$userID,$place_id);
						if($row_check ==0){
							$this->Datamodel->insert_emailstats($userID,$campid,$place_id,$email,$buzname,$keyword,1);
						}else{
							$this->Datamodel->update_emailstats($userID,$campid,$place_id,$email,$buzname,$keyword,1);
						}
					}else{
						$this->data['msg']='error';
					} 
				}
				$this->load->view('pages/emailstatus',$this->data);
			}
		}
	}
	public function addToCampaign($authorName='',$placeid='',$address='',$website='',$fanpageurl='',$fanpage_likes='',$wordpress='',$email='',$responsive='',$pdf='',$flash='',$cover_image='',$video='',$pagespeed='',$keyword='',$location='',$camp_id='',$fanpage_id='',$generatereport=''){
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$authorName = $this->input->post('authorName');
		$placeid = $this->input->post('placeid');
		$address = $this->input->post('address');
		$website = $this->input->post('website');
		$fanpageurl = $this->input->post('fanpageurl');
		$fanpage_likes = $this->input->post('fanpage_likes');
		$wordpress = $this->input->post('wordpress');
		$email = $this->input->post('email');
		$responsive = $this->input->post('responsive');
		$pdf = $this->input->post('pdf');
		$flash = $this->input->post('flash');
		$cover_image = $this->input->post('cover_image');
		$video = $this->input->post('video');
		$pagespeed = $this->input->post('pagespeed');
		$keyword = $this->input->post('keyword');
		$location = $this->input->post('location');
		$camp_id = $this->input->post('camp_id');
		$fanpage_id = $this->input->post('fanpage_id');
		$generatereport = $this->input->post('generatereport');
		//echo $camp_id.$userID.$placeid;exit;
	    $row_check=$this->Datamodel->check_email_place_exist($camp_id,$userID,$placeid);
		if($row_check ==0){
			$this->Datamodel->addToCampaign($camp_id,$authorName,$placeid,$address,$website,$fanpageurl,$fanpage_likes,$fanpage_id,$wordpress,$email,$responsive,$pdf,$flash,$cover_image,$video,$pagespeed,$keyword,$location,$userID,$generatereport);
		}else{
			$this->Datamodel->updateToCampaign($camp_id,$authorName,$placeid,$address,$website,$fanpageurl,$fanpage_likes,$fanpage_id,$wordpress,$email,$responsive,$pdf,$flash,$cover_image,$video,$pagespeed,$keyword,$location,$userID,$generatereport);
		
		}
		if($generatereport==1){
			//echo base64_encode($placeid.'&'.$camp_id);
			$this->session->set_userdata('place_id_camp_id',$placeid.'&'.$camp_id);
		}
	}
	
	public function generatereport(){
		
		$user = $this->ion_auth->user()->row();
        $userID = $user->id;
		$pageimg=$img=$_POST['cover_image'];
		$authorName = $this->input->post('authorName');
		$this->data['buzname'] =$authorName;
		//print_r($_POST);exit;
		$placeid = $this->input->post('placeid');
		$address = $this->input->post('address');
		$website = $this->input->post('website');
		$fanpageurl = $this->input->post('fanpageurl');
		$fanpage_likes = $this->input->post('fanpage_likes');
		$wordpress = $this->input->post('wordpress');
		$email = $this->input->post('email');
		$responsive = $this->input->post('responsive');
		$pdf = $this->input->post('pdf');
		$flash = $this->input->post('flash');
		$cover_image = $this->input->post('cover_image');
		$video = $this->input->post('video');
		$pagespeed = $this->input->post('pagespeed');
		$keyword = $this->input->post('keyword');
		$location = $this->input->post('location');
		$camp_id = $this->input->post('camp_id');
		$fanpage_id = $this->input->post('fanpage_id');
		$generatereport = $this->input->post('generatereport');
		$this->addToCampaign($authorName,$placeid,$address,$website,$fanpageurl,$fanpage_likes,$wordpress,$email,$responsive,$pdf,$flash,$cover_image,$video,$pagespeed,$keyword,$location,$camp_id,$fanpage_id,$generatereport);
		
		$website = $this->addhttp($website);
		$op = array();
		if($website !== '')
		{	
			$apikey_insight_api='AIzaSyAeGgeLjNFBMJK3BpGO9ViTV4eDSa8L51E';
			$pagespeed = 'https://www.googleapis.com/pagespeedonline/v2/runPagespeed?url='.urlencode($website).'&key='.$apikey_insight_api;			
			$pagespeed_result  = $this->processURL($pagespeed);
			$pagespeed_result_array = json_decode($pagespeed_result, true);
			$result = $this->getUrlData($website);
			
			$meta= $result['metaTags']['description']['value'];	
			// collecting Header tags
			$f = file_get_contents($website);
			$search = preg_match_all('/<([^\/!][a-z1-9]*)/i',$f,$matches);
			$count=array_count_values($matches[1]);
			//print_r($count);
			if(array_key_exists('h1',$count)){
				$h1count= $count['h1'];
			}else{
				$h1count= '';
			}
			if(array_key_exists('h2',$count)){
				$h2count= $count['h2'];
			}else{
				$h2count= '';
			}
			if(array_key_exists('h3',$count)){
				$h3count= $count['h3'];
			}else{
				$h3count= '';
			}
			
			if(array_key_exists('h4',$count)){
				$h4count= $count['h4'];
			}else{
				$h4count= '';
			}
			if(array_key_exists('h5',$count)){
				$h5count= $count['h5'];
			}else{
				$h5count= '';
			}
			if(array_key_exists('h6',$count)){
				$h6count= $count['h6'];
			}else{
				$h6count= '';
			}
			
			//collecting website seo stats_number_of_comments
			
			if(array_key_exists('numberResources',$pagespeed_result_array['pageStats']))
			{
				$num_resource=$pagespeed_result_array['pageStats']['numberResources'];
			}
			if(array_key_exists('numberHosts',$pagespeed_result_array['pageStats'])){
				$num_hosts=$pagespeed_result_array['pageStats']['numberHosts'];
			}
			if(array_key_exists('totalRequestBytes',$pagespeed_result_array['pageStats'])){
				$total_request=$pagespeed_result_array['pageStats']['totalRequestBytes'];
			}
			if(array_key_exists('numberStaticResources',$pagespeed_result_array['pageStats'])){
				$static_resource=$pagespeed_result_array['pageStats']['numberStaticResources'];
			}
			if(array_key_exists('htmlResponseBytes',$pagespeed_result_array['pageStats'])){
				$html_response=$pagespeed_result_array['pageStats']['htmlResponseBytes'];
			}
			if(array_key_exists('cssResponseBytes',$pagespeed_result_array['pageStats'])){
				$css_response=$pagespeed_result_array['pageStats']['cssResponseBytes'];
			}
			if(array_key_exists('imageResponseBytes',$pagespeed_result_array['pageStats'])){
				$image_response=$pagespeed_result_array['pageStats']['imageResponseBytes'];
			}
			if(array_key_exists('javascriptResponseBytes',$pagespeed_result_array['pageStats'])){
				$javascript_response=$pagespeed_result_array['pageStats']['javascriptResponseBytes'];
			}
			if(array_key_exists('otherResponseBytes',$pagespeed_result_array['pageStats'])){
				$other_response=$pagespeed_result_array['pageStats']['otherResponseBytes'];
			}
			if(array_key_exists('numberJsResources',$pagespeed_result_array['pageStats'])){
				$js_resource=$pagespeed_result_array['pageStats']['numberJsResources'];
			}
			if(array_key_exists('numberCssResources',$pagespeed_result_array['pageStats'])){
				$css_resource=$pagespeed_result_array['pageStats']['numberCssResources'];
			}
			if(array_key_exists('AvoidLandingPageRedirects',$pagespeed_result_array['formattedResults']['ruleResults'])){
			
				$landpage_redirects_yn=$pagespeed_result_array['formattedResults']['ruleResults']['AvoidLandingPageRedirects']['summary']['format'];
			}
			if(array_key_exists('AvoidLandingPageRedirects',$pagespeed_result_array['formattedResults']['ruleResults'])){
				$landpage_redirects_avoid=$pagespeed_result_array['formattedResults']['ruleResults']['AvoidLandingPageRedirects']['summary']['args'][0]['value'];
			}
			if(array_key_exists('summary',$pagespeed_result_array['formattedResults']['ruleResults']['EnableGzipCompression'])){
				$enablegzip_compress_yn=$pagespeed_result_array['formattedResults']['ruleResults']['EnableGzipCompression']['summary']['format'];
			}
			if(array_key_exists('args',$pagespeed_result_array['formattedResults']['ruleResults']['EnableGzipCompression']['summary'])){
				$enablegzip_compress_why=$pagespeed_result_array['formattedResults']['ruleResults']['EnableGzipCompression']['summary']['args'][0]['value'];
			}
			if(array_key_exists('urlBlocks',$pagespeed_result_array['formattedResults']['ruleResults']['EnableGzipCompression']))
			{
				
				$enablegzip_compress_why=$pagespeed_result_array['formattedResults']['ruleResults']['EnableGzipCompression']['urlBlocks'][0]['header']['format'];
				foreach($pagespeed_result_array['formattedResults']['ruleResults']['EnableGzipCompression']['urlBlocks'][0]['header']['args'] as $zipcompress)
				{
					//print_r( $zipcompress);
					 $zipcompress['key'];
					 $zipcompress['value'];
				}
				if(array_key_exists('urls',$pagespeed_result_array['formattedResults']['ruleResults']['EnableGzipCompression']['urlBlocks'][0]))
				{
					foreach( $pagespeed_result_array['formattedResults']['ruleResults']['EnableGzipCompression']['urlBlocks'][0]['urls'] as $zipcompressurl)
					{
						//print_r( $zipcompressurl);
						$zipcompressurl['result']['format'];
						foreach($pagespeed_result_array['formattedResults']['ruleResults']['EnableGzipCompression']['urlBlocks'][0]['urls'][0]['result']['args'] as $zipcompressarray)
						{
							//print_r( $zipcompressarray);
							$zipcompressarray['key'];
							$zipcompressarray['value'];
						}
					}
				
				}
			}
			if(array_key_exists('MainResourceServerResponseTime',$pagespeed_result_array['formattedResults']['ruleResults'])){
				$MainResourceServerResponseTime=$pagespeed_result_array['formattedResults']['ruleResults']['MainResourceServerResponseTime']['localizedRuleName'];
			}
			if(array_key_exists('summary',$pagespeed_result_array['formattedResults']['ruleResults']['MainResourceServerResponseTime'])){
				$MainResourceServerResponseTime_satus=$pagespeed_result_array['formattedResults']['ruleResults']['MainResourceServerResponseTime']['summary']['format'];
				foreach($pagespeed_result_array['formattedResults']['ruleResults']['MainResourceServerResponseTime']['summary']['args'] as $serverresponse)
				{
					//print_r($serverurl= $serverresponse['value']);
					//echo $zipcompressarray['key'];
					//echo $zipcompressarray['value'];
				}
				
			}
			if(array_key_exists('urlBlocks',$pagespeed_result_array['formattedResults']['ruleResults']['MainResourceServerResponseTime'])){
				$MainResourceServerResponseTime_url=$pagespeed_result_array['formattedResults']['ruleResults']['MainResourceServerResponseTime']['urlBlocks'][0]['header']['format'];
				foreach($pagespeed_result_array['formattedResults']['ruleResults']['MainResourceServerResponseTime']['urlBlocks'][0]['header']['args'] as $serverbadresponse)
				{
					//print_r( $serverbadresponse);
					//echo $zipcompressarray['key'];
					//echo $zipcompressarray['value'];
				}
				
			}
			if(array_key_exists('MinifyCss',$pagespeed_result_array['formattedResults']['ruleResults'])){
			$MinifyCss_status=$pagespeed_result_array['formattedResults']['ruleResults']['MinifyCss']['summary']['format'];
			
				
			}
			if(array_key_exists('urlBlocks',$pagespeed_result_array['formattedResults']['ruleResults']['MinifyCss'])){
				$MinifyCss_link=$pagespeed_result_array['formattedResults']['ruleResults']['MinifyCss']['urlBlocks'][0]['header']['args'][0]['value'];
			
				
			}
			if(array_key_exists('MinifyHTML',$pagespeed_result_array['formattedResults']['ruleResults'])){
				$MinifyHTML_status=$pagespeed_result_array['formattedResults']['ruleResults']['MinifyHTML']['summary']['format'];
			
				
			}
			if(array_key_exists('urlBlocks',$pagespeed_result_array['formattedResults']['ruleResults']['MinifyHTML'])){
				$MinifyHTML_link=$pagespeed_result_array['formattedResults']['ruleResults']['MinifyHTML']['urlBlocks'][0]['header']['args'][0]['value'];
			
				
			}
			if(array_key_exists('MinifyJavaScript',$pagespeed_result_array['formattedResults']['ruleResults'])){
				$MinifyJavaScript_status=$pagespeed_result_array['formattedResults']['ruleResults']['MinifyJavaScript']['summary']['format'];
			
				
			}
			if(array_key_exists('urlBlocks',$pagespeed_result_array['formattedResults']['ruleResults']['MinifyJavaScript'])){
				$MinifyJavaScript_link=$pagespeed_result_array['formattedResults']['ruleResults']['MinifyJavaScript']['urlBlocks'][0]['header']['args'][0]['value'];
			
				
			}
			if(array_key_exists('MinimizeRenderBlockingResources',$pagespeed_result_array['formattedResults']['ruleResults'])){
				$minimize_blocking_resource_resultstatus=$pagespeed_result_array['formattedResults']['ruleResults']['MinimizeRenderBlockingResources']['summary']['format'];
				foreach($pagespeed_result_array['formattedResults']['ruleResults']['MinimizeRenderBlockingResources']['summary']['args'] as $blockingrender)
				{
					//print_r( $blockingrender);
					//echo $zipcompressarray['key'];
					//echo $zipcompressarray['value'];
				}
				
			}
			if(array_key_exists('urlBlocks',$pagespeed_result_array['formattedResults']['ruleResults']['MinimizeRenderBlockingResources'])){
				$minimize_blocking_resource_resultlink=$pagespeed_result_array['formattedResults']['ruleResults']['MinimizeRenderBlockingResources']['urlBlocks'][0]['header']['format'];	
			}
			if(array_key_exists('OptimizeImages',$pagespeed_result_array['formattedResults']['ruleResults'])){
				$OptimizeImagesstatus=$pagespeed_result_array['formattedResults']['ruleResults']['OptimizeImages']['summary']['format'];
			}
			if(array_key_exists('urlBlocks',$pagespeed_result_array['formattedResults']['ruleResults']['OptimizeImages'])){
				$OptimizeImageslink=$pagespeed_result_array['formattedResults']['ruleResults']['OptimizeImages']['urlBlocks'][0]['header']['args'][0]['value'];
			}
			if(array_key_exists('PrioritizeVisibleContent',$pagespeed_result_array['formattedResults']['ruleResults'])){
				$prioritycontentstatus=$pagespeed_result_array['formattedResults']['ruleResults']['PrioritizeVisibleContent']['summary']['format'];
			}
			if(array_key_exists('urlBlocks',$pagespeed_result_array['formattedResults']['ruleResults']['PrioritizeVisibleContent'])){
				 $prioritycontentlink=$pagespeed_result_array['formattedResults']['ruleResults']['PrioritizeVisibleContent']['urlBlocks'][0]['header']['args'][0]['value'];
			}
			
			$templateContent = $website.$wordpress.$responsive.$pagespeed.$pageimg;
			if(!is_dir('report/'.$userID)){
				mkdir('report/'.$userID);
			}
			$tempfile='report/'.$userID.'/tempfile.html';
			$html='<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <meta name="description" content="">
    <meta name="author" content="">
 
<title>Website Analysis</title>

<link href="'.base_url().'assets/htmlreport/css/bootstrap.min.css" rel="stylesheet">
<link href="'.base_url().'assets/htmlreport/css/style.css" rel="stylesheet">
<link href="'.base_url().'assets/htmlreport/css/font-awesome.min.css" rel="stylesheet">

<style>
.b_contag.purplebefore:before{ background:#ab0d82;}
</style>
</head>
<body>

    
<div class="mainwrrapar">';
$access_data=mysqli_query($this->db->conn_id,"select logourl from logo where user_id='".$userID."'");
$url1 = '';
while($row=mysqli_fetch_array($access_data)) 					
{
	$url1=$row['logourl'];
}		
$html.='<div class="block" id="logodisplay" style="padding-bottom:15px;';
if($url1 !== "")
{
	$html.= "";
}else{
	$html.="display:none;";
}
$html.='">
<div class=" container">
<div class="row">
<div class="col-sm-12">
      <div style=" margin-top: 20px;" align="center"><a href=""><img src="'.base_url().''.$url1.'" alt="Logo" id="ownerlogo"></a></div>
      <div style="float:right; width:50%; text-align:right;" align="right">
        <p style="font-family:\'open_sanssemibold\';"></p>
        <p></p>
        <p></p>
      </div>
    </div>
    </div>
    </div>
    </div>';
	
	
$html.='<div class="top_sec">
<div class=" container">
<div class="row">
<div class="col-sm-6">
<div class="webanalysis white">

<h2 class="white" >Website Analysis For </h2>
<p class="font20">'.$website.'</p>
    <p class="webanlys_cont" >We have analyzed your website and found the following results. </p>';
	if ($pagespeed_result_array['ruleGroups']['SPEED']['score'] > 1 && $pagespeed_result_array['ruleGroups']['SPEED']['score'] < 35){
$html.=' <div class="gpagespeed"><span>Google Page Speed:'.$pagespeed_result_array['ruleGroups']['SPEED']['score'].'</span><span class="rank" style="margin-left: 80px;color: ;">Rank: <span class="result" style="color: red;font-weight: bold;font-size: 30px;margin-left: 20px;"> (F)</span></div>';
 }
 if ($pagespeed_result_array['ruleGroups']['SPEED']['score'] > 35 && $pagespeed_result_array['ruleGroups']['SPEED']['score'] < 50){
$html.=' <div class="gpagespeed"><span>Google Page Speed:'.$pagespeed_result_array['ruleGroups']['SPEED']['score'].'</span><span class="rank" style="margin-left: 80px;color: ;">Rank: <span class="result" style="color: red;font-weight: bold;font-size: 30px;margin-left: 20px;"> (E)</span></div>';
 }
 if ($pagespeed_result_array['ruleGroups']['SPEED']['score'] > 50 && $pagespeed_result_array['ruleGroups']['SPEED']['score'] < 65){
$html.=' <div class="gpagespeed"><span>Google Page Speed:'.$pagespeed_result_array['ruleGroups']['SPEED']['score'].'</span><span class="rank" style="margin-left: 80px;color: ;">Rank: <span class="result" style="color: red;font-weight: bold;font-size: 30px;margin-left: 20px;"> (D)</span></div>';
 }
 if ($pagespeed_result_array['ruleGroups']['SPEED']['score'] > 65 && $pagespeed_result_array['ruleGroups']['SPEED']['score'] < 75){
$html.=' <div class="gpagespeed"><span>Google Page Speed:'.$pagespeed_result_array['ruleGroups']['SPEED']['score'].'</span><span class="rank" style="margin-left: 80px;color: ;">Rank: <span class="result" style="color: yellow;font-weight: bold;font-size: 30px;margin-left: 20px;"> (C)</span></div>';
 }
 if ($pagespeed_result_array['ruleGroups']['SPEED']['score'] > 75 && $pagespeed_result_array['ruleGroups']['SPEED']['score'] < 90){
$html.=' <div class="gpagespeed"><span>Google Page Speed:'.$pagespeed_result_array['ruleGroups']['SPEED']['score'].'</span><span class="rank" style="margin-left: 80px;color: ;">Rank: <span class="result" style="color: yellow;font-weight: bold;font-size: 30px;margin-left: 20px;"> (B)</span></div>';
 }
 if ($pagespeed_result_array['ruleGroups']['SPEED']['score'] > 90 && $pagespeed_result_array['ruleGroups']['SPEED']['score'] < 100){
$html.=' <div class="gpagespeed"><span>Google Page Speed:'.$pagespeed_result_array['ruleGroups']['SPEED']['score'].'</span><span class="rank" style="margin-left: 80px;color: ;">Rank: <span class="result" style="color: green;font-weight: bold;font-size: 30px;margin-left: 20px;"> (A)</span></div>';
 }
$html.=' </div>
</div>';
if($img !== '') {
$html.='<div class="col-sm-6"><div class="mockupcol"><div style="width:499px;height:403px; padding:16px 16px 83px; overflow:hidden; background:url('.base_url().'assets/htmlreport/images/mockup1.png) no-repeat center top;"><img src="'.$img.'" class="img-responsive screenshot"  alt="img"  style="height:270px; width:480px;object-fit: cover;">
</div></div></div>';
} 

$html.='</div>




</div>




</div>

      <div class="htmlseo">
<div class="container">
<div class="row">
<div class="col-lg-6 col-md-6 col-sm-12">
<div class="seocol">
<h2>SEO Results</h2>';
if(array_key_exists('description',$result['metaTags']) && array_key_exists('titlename',$result)){
 $html.='<p class="blueclr font20">Your SEO <span class="greenclr">is good!</span></p>
<p>Congratulations your SEO is quite strong. SEO optimization is
            important to ensure you are driving traffic to your site via
            search engines.
            Your website content is relevant to ensure high performance.</p>';
}else{
$html.='<p class="blueclr font20">Your SEO <span class="redclr">is not so good!</span></p>
<p> Your SEO is not so strong.SEO meta tags are missing.
		  SEO optimization is important to ensure you are driving traffic to your 
		  site via search engines. Continue building out backlinks and ensure
            Your website content is relevant to ensure high performance.</p>';
}
	
  $html.='</div>


</div>
    
	
     <div class="col-lg-6 col-md-6 col-sm-12">
<div class="htmlheadr">
<h2>HTML Header</h2>

<div class="tablehtmlhead">
<table width="100%" border="0" cellspacing="0" cellpadding="0">';
if( array_key_exists('titlename',$result)){
 $html.= ' <tr>
    <td class="bluebg ">Title Tag</td>
    <td><p class="font20">'.$result['titlename'].'</p></td>
  </tr>
  <tr>
    <td class="yelwclr">Length:'.$result['lenghtofkeyword'].'</td>';
	if($result['lenghtofkeyword']>70)
		{$html.= '<td><p class="m_b_0">You have a title tag, and its length is not optimal -it should be between 10 and 70 characters.</p></td>';}
else{
$html.= '<td><p class="m_b_0">You have a title tag, and its length is optimal - between 10 and 70 characters.</p></td>';
}

 $html.= ' </tr>';
}else{
	$html.= '<tr>
    <td class="bluebg ">Title Tag</td>
    <td><p class="font20">For better seo and search result, Title must be added</p></td>
  </tr>';
}
 if(array_key_exists('description',$result['metaTags'])){
   $html.= '<tr>
    <td class="greenbg">Meta Description</td>
    <td><p class="m_b_0">'.$meta.'</p></td>
	</tr>
   <tr>
    <td class="yelwclr">Length:'. strlen(trim($meta)) .'</td>
    <td><p class="m_b_0">Your page has a meta description. Ideally though, your meta description should be between 70 and 160 characters.</p></td>
  </tr>';
 }
  else{
    $html.=' <tr>
    <td class="greenbg">Meta Description</td>
    <td><p class="m_b_0">Improve your meta tag by providing a relevant description for your site.
			This gives visitors a snippet of your website content when it appears in search engine results.</p></td>
	</tr>';
  }
$html.='</table>




</div>

</div>

</div> 
          
  
   
 
</div>
</div>
</div>';

$html.='<div class="cta cta1" style="display:none"><div class="container text-center"><a id="btn1" href="#" class="btn ctabtn">call to action section</a></div></div>
		<div class="body_content bdr_botm">
<div class="container">
<h2 class="m_b_20">Body Content</h2>

<div class="b_contag blybg ">
<div class="title_bct bluebg">Header Tags</div> 

<div class="descp_bct">HTML Header Tags are an important way of signaling to search engines what your page is about:</div>
<div class="clearfix"></div>

</div>
<div class="heading_sec">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<thead>
<tr>
    <th>H1</th>
    <th>H2</th>
    <th>H3</th>
    <th>H4</th>
    <th>H5</th>
    <th>H6</th>
  </tr>

</thead>
<tbody>
  <tr>';
		  $a="Na";
		 // echo $h1count;
		 // exit;
		  if($h1count==!""){
           $html.=' <td>'.$h1count.'</td>';
		  }
		  else{
			$html.='<td>'.$a.'</td>';  
		  }
		  if($h2count==!""){
           $html.=' <td>'.$h2count.'</td>';
		  }else{
				$html.='<td>'.$a.'</td>';  
		  }
				if($h3count==!""){
		   $html.='<td>'.$h3count.'</td>';
				}else{
				$html.='<td>'.$a.'</td>';  
		  }
			if($h4count==!""){
		   $html.='<td>'.$h4count.'</td>';
			}else{
				$html.='<td>'.$a.'</td>';  
		  }
		   if($h5count==!""){
           $html.=' <td>'.$h5count.'</td>';
		   }
		   else{
				$html.='<td>'.$a.'</td>';  
		  }
			if($h6count==!""){
           $html.=' <td>'.$h6count.'</td>';
			}
			else{
				$html.='<td >'.$a.'</td>';  
		  }
        $html.='  </tr>
        </table>
      </div>
       <div class="keyword_consistency">

<div class="b_contag keyconst ">
<div class="title_bct yelwclr">Keyword Consistency</div> 

<div class="descp_bct">Your website’s main keywords are distributed well across the important HTML Tags of your website.</div>
<div class="clearfix"></div>

</div>
<div class="pagecontent m_b_15">Your page content should be focused around particular keywords you would like to rank for. These keywords should also be distributed across important HTML Tags such as Title, Meta Tags and Header Tags, as shown above.</div>

    <div class="tablekeyword m_b_30">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<thead>
<tr>
    <th>Keyword</th>
    <th>Content</th>
</tr>

</thead>
<tbody>';
  
 $str = file_get_contents($website);
  
    $str = preg_replace('/<style\\b[^>]*>(.*?)<\\/style>/s', '', $str);
      // remove everything between the style tags
    $str = preg_replace('/<script\\b[^>]*>(.*?)<\\/script>/s', '', $str);
      // remove everything between the script tags
    $str = strip_tags(strtolower($str));
      // remove html tags
    $words = str_word_count($str, 1);
    $array = array_count_values($words);
      // count the words
    //var_dump($words);
	//exit;
//$array=array_count_values(str_word_count(strip_tags(strtolower($str)), 1));
arsort($array);

$count=0;

foreach ($array as $key => $value) {
	//echo $count;
	if($count==5)
	break;
 // echo $key . $value;

if(strlen($key)>5) {
	if($count%2==0){$color="#f4f8fb";}else{$color="#fff";}
	 $html.='<tr align="center" style="background:'.$color.';">
    <td>'.$key.'</td>
    <td>'.$value.'</td>
    
  </tr>';
 $count++;	

}
}			
 $html.= '
 </tbody>
</table>
</div>
<div class="imagealltributes">

<div class="b_contag imgaltrb ">';
 $alt = file_get_contents($website);
preg_match_all('/<img[^>]+>/i',$alt, $result); 
//print_r($result[0]);
$count= count($result[0]);
   $comma_separated = implode(",",$result[0]);
 preg_match_all('/(alt)=("[^"]*")/i',$comma_separated, $img);
  $withoutalt= count(array_filter($img));
$html.='<div class="title_bct greenbg">Image Alt <br/>Attributes</div> 

<div class="descp_bct">We found '.$count.' images on this web page.<br/>
'.$withoutalt.' of your images have alt attributes empty or missing. Add alternative text so that search engines can better understand the content of your images and index them.
</div>
<div class="clearfix"></div>

</div>

</div>


</div>
</div>
<div class="perform_result bdr_botm">

<div class="container">
<div class="row">
<div class="col-lg-6 col-md-6 col-sm-12">
<div class="perform_col">
<div class="head_perform">
<h2>Performance Results</h2>
<p class="blueclr font20 ">Your Performance could be better</p>
<p class="m_b_0">Your performance could be improved. Page load speed and performance is important to ensure a positive user experience. Bring page and object sizes down. Ensure your server is performing optimally.</p>
</div>




<div class="Areas_table_left">

<div class="b_contag blybg ">

<div class="title_bct bluebg">Number of Hosts:'.$num_hosts.'</div> 
<div class="descp_bct">Total number of hosts (Individual servers) being contacted. Ideally you should also look to minimise the number of hosts being called
</div>
<div class="clearfix"></div>

</div> 

<div class="b_contag yelwbefor ">
<div class="title_bct yelwclr">GZIP Compression</div> ';
if(strrchr($enablegzip_compress_yn," compression enabled")){
	$val =strtok($enablegzip_compress_yn, '.').'.';
 $html.='<div class="descp_bct">'.$val.'</div>';
 }else{
	  $html.='<div class="descp_bct">'.$enablegzip_compress_yn.'</div>';
$html.= '<div class="descp_bct">'.$enablegzip_compress_why.'</div>' ;
 }
$html.='<div class="clearfix"></div>

</div> 

<div class="b_contag greenbefor ">
<div class="title_bct greenbg">Minification</div> ';
 $minifycss =strtok($MinifyCss_status, '.').'.';
 $minifyjs =strtok($MinifyJavaScript_status, '.').'.';
 if($minifycss=="Your CSS is minified." && $minifyjs=="Your JavaScript content is minified."  ){
	 $html.='<div class="descp_bct">Your JS and CSS files are minified.</div>';
 }
 else{
	 $html.='<div class="descp_bct">Some of your JS and CSS files are not minified.
 We recommend you minify your files as this can significantly reduce page size and load time for the user.</div>';
}

$html.='<div class="clearfix"></div>

</div> 
<div class="b_contag redclrbfor ">
<div class="title_bct red_bg">Wordpress</div> ';
 
 
 if($wordpress=='False'){
	 $html.='<div class="descp_bct">False.</div>';
 }else{
	$html.='<div class="descp_bct">True.</div>'; 
 }
$html.='<div class="clearfix"></div>

</div> ';
$user = $this->ion_auth->user()->row();
			$userID = $user->id;
			$status=1;
			//if((strpos($this->session->userdata('access'), ',2,3') == true) && (strpos($this->session->userdata('access'), '3') == true)  || (strpos($this->session->userdata('access'), ',2,')==true))
			if((strpos($this->session->userdata('access'), '6') == true))
			{
$html.='<div class="b_contag blybg ">
<div class="title_bct bluebg">Pdf Menu</div> ';
 
 
 if($pdf=='Present'){
	 $html.='<div class="descp_bct">Menu is in pdf format.</div>
	 <div class="clearfix"></div>

</div> ';
 }else{
	$html.='<div class="descp_bct">Menu is not in pdf format.</div>
	<div class="clearfix"></div>

</div> '; 
			}}


$html.='</div>





</div>


</div>

<div class="col-lg-6 col-md-6 col-sm-12">


<div class="Areastable">

<div class="b_contag blybg ">
<div class="title_bct bluebg">Optimize Images</div> ';
if(strrchr($OptimizeImagesstatus," Your images are optimized")){
	$val =strtok($OptimizeImagesstatus, '.').'.';
$html.='<div class="descp_bct">'.$val.'</div>';}
else{
	
$html.='<div class="descp_bct">Your images are not optimized</div>';
}

$html.='<div class="clearfix"></div>

</div> 

<div class="b_contag yelwbefor ">
<div class="title_bct yelwclr">Server Response </div> ';
if(strrchr($MainResourceServerResponseTime_satus," Your server responded quickly")){
	$val =strtok($MainResourceServerResponseTime_satus, '.').'.';
$html.='<div class="descp_bct">'.$val.'</div>';}
else{
	
$html.='<div class="descp_bct">Your server responded slowly</div>';
}

$html.='<div class="clearfix"></div>

</div> 

<div class="b_contag greenbefor ">
<div class="title_bct greenbg">Inline Styles</div> ';
$f = file_get_contents($website);
	$search = preg_match_all('/<([^\/!][a-z1-9]*)/i',$f,$matches);
$count=array_count_values($matches[1]);

if(array_key_exists('style',$count)){
$html.=	'<div class="descp_bct">It looks like your website is using inline styles. We recommend removing style tags from HTML and instead having them all in CSS Stylesheets, as inline styles can degrade performance.</div>';
}
else{
$html.= '<div class="descp_bct">It looks like your website is not using inline styles. Nice, as inline styles can degrade performance.</div>';
}

$html.='<div class="clearfix"></div>

</div> 

<div class="b_contag redclrbfor ">
<div class="title_bct red_bg">iFrames Used?</div> ';
 $f = file_get_contents($website);
	$search = preg_match_all('/<([^\/!][a-z1-9]*)/i',$f,$matches);
$count=array_count_values($matches[1]);

if(array_key_exists('iframe',$count)){
$html.='<div class="descp_bct">It looks like your website is using iframes. We recommend against this as the content can be harder to navigate in mobile and has historically been harder to index for search engines.</div>';

}else{
$html.=	'<div class="descp_bct">It looks like your website is not using any iframes.The content can be easier to navigate in mobile</div>';
}

$html.='<div class="clearfix"></div>

</div> 

<div class="b_contag gryclrbfor ">
<div class="title_bct  gray_bg">Favicon</div>'; 
$f = file_get_contents($website);
preg_match('/<link.*?rel=("|\').*icon("|\').*?href=("|\')(.*?)("|\')/i', $f, $matches);
//print_r ($matches);
if (count($matches) > 4) {
	 $trim=trim($matches[4]);
		if($trim=!""){
		$html.=	' <div class="descp_bct">Your website is using a favicon.</div>';
		}
		}
		else{
			$html.=	' <div class="descp_bct">Your website is not using a favicon.</div>';
		}
 

$html.='<div class="clearfix"></div>

</div>
<div class="b_contag purplebefore ">
<div class="title_bct purplebg">Responsive</div>'; 

		if($responsive=='Not Responsive'){
		$html.=	' <div class="descp_bct">Not Responsive.</div>';
		}
		else{
			$html.=	' <div class="descp_bct">Responsive.</div>';
		}
 

$html.='<div class="clearfix"></div>

</div>';
$user = $this->ion_auth->user()->row();
			$userID = $user->id;
			$status=1;
			//if((strpos($this->session->userdata('access'), ',2,3') == true) && (strpos($this->session->userdata('access'), '3') == true)  || (strpos($this->session->userdata('access'), ',2,')==true))
			if((strpos($this->session->userdata('access'), '6') == true))
			{
$html.='<div class="b_contag blybg ">
<div class="title_bct bluebg">Flash Files</div>'; 

		if($flash=='Present'){
		$html.=	' <div class="descp_bct">Used.</div>
		<div class="clearfix"></div>

</div>';
		}
		else{
			$html.=	' <div class="descp_bct">Not Used.</div>
			<div class="clearfix"></div>

</div>';
			}}




$html.='
</div>



</div>

</div>
</div>


</div>';
$html.='<div class="technology_results bdr_botm">
<div class="container">
<h2 class="m_b_30">Technology Results</h2>
<div class="row">
<div class="col-sm-12 font22 white">
<div class="techgrd">
<div class="col-sm-4">
<div class="host_search col bluebg">';
$input = $website;

// in case scheme relative URI is passed, e.g., //www.google.com/
$input = trim($input, '/');

// If scheme not included, prepend it
if (!preg_match('#^http(s)?://#', $input)) {
    $input = 'http://' . $input;
}

$urlParts = parse_url($input);

// remove www
$domain = preg_replace('/^www\./', '', $urlParts['host']);

 //$domain;			
		//$ipadd=$_SERVER['SERVER_ADDR'];			
    $time_start = $this->getmicrotime();
    $ipaddress = gethostbyname($domain);
	$ip = gethostbyaddr($ipaddress);


    if ($ipaddress == $domain) {
        echo "";
    }
    else {
        $html.= $domain;
    }
    $time_end =$this->getmicrotime();
    $time = $time_end - $time_start;
   $html.= ' Host Search took :<br/>'. $time.' seconds
</div>


</div> 

<div class="col-sm-4">
<div class="host_search col yelwclr">
Host IP Address:<br/>
'.$ipaddress.'

</div>


</div> 

<div class="col-sm-4">
<div class="host_search col greenbg">
Host Name:<br/>
'.$ip.'


</div>


</div>

<div class="clearfix"></div>
</div>

</div>



</div>



</div>
</div>
 
<div class="Recommenations">
<div class="container">
<h2 class="m_b_30">Recommendations</h2>

<div class="rec_table font16">
<table width="100%" border="0" cellspacing="0" cellpadding="0">';
if($num_hosts >=2){
  $html.='<tr>
    <td><a href="" class="btn_red">Performance</a></td>
    <td>Ideally you should also look to minimise the number of hosts</td>
    <td><a href="" class="btn_yelw">Medium Priority</a></td>
  </tr>';
}
if($responsive=='Not Responsive'){
  
  $html.='<tr>
    <td><a href="" class="btn_red">Mobile & UI</a></td>
    <td>Make your website Responsive.Compatible to be used on any devices</td>
    <td><a href="" class="btn_yelw">Medium Priority</a></td>
  </tr>';
}
  if($wordpress=='False'){
   $html.='<tr>
    <td><a href="" class="btn_red">Mobile & UI</a></td>
    <td>Make your website wordpress based for easy content management</td>
    <td><a href="" class="btn_yelw">Medium Priority</a></td>
  </tr>';
}$user = $this->ion_auth->user()->row();
			$userID = $user->id;
			$status=1;
			//if((strpos($this->session->userdata('access'), ',2,3') == true) && (strpos($this->session->userdata('access'), '3') == true)  || (strpos($this->session->userdata('access'), ',2,')==true))
			if((strpos($this->session->userdata('access'), '6') == true)){ 
if($flash=='Present'){
  
  $html.='<tr>
    <td><a href="" class="btn_red">Performance</a></td>
    <td>Avoid using flash files which increases the loading time and decreases the seo rank.Flash is not compatible with mobile</td>
    <td><a href="" class="btn_yelw">High Priority</a></td>
  </tr>';
}
if($pdf=='Present'){
   $html.='<tr>
    <td><a href="" class="btn_red">Pdf Menus</a></td>
    <td>Make your menus dyanmic and user interactive.Pdf menus does not work on mobile. </td>
    <td><a href="" class="btn_yelw">High Priority</a></td>
  </tr>';
			}}
  if($withoutalt=!""){
$html.=' <tr>
    <td><a href="" class="btn_red">SEO</a></td>
    <td>Add alt attributes to all images</td>
    <td><a href="" class="btn_yelw">Medium Priority</a></td>
  </tr>';
}
 $html.='<tr>
    <td><a href="" class="btn_red">Security</a></td>
    <td>Update the software on your website</td>
    <td><a href="" class="btn_yelw">Medium Priority</a></td>
  </tr>
  
  <tr>
    <td><a href="" class="btn_red">SEO</a></td>
    <td>Make greater use of Header Tags</td>
    <td><a href="" class="btn_yelw">Medium Priority</a></td>
  </tr>
  
  
  <tr>
    <td><a href="" class="btn_red">Performance</a></td>
    <td>Minify your CSS and JS files</td>
    <td><a href="" class="btn_green">Low Priority</a></td>
  </tr>';
  if($OptimizeImagesstatus=="Properly formatting and compressing images can save many bytes of data."){
 $html.=' <tr>
    <td><a href="" class="btn_red">Performance</a></td>
    <td>'.$OptimizeImagesstatus.' </td>
    <td><a href="" class="btn_green">Low Priority</a></td>
  </tr>';
  }
   $f = file_get_contents($website);
	$search = preg_match_all('/<([^\/!][a-z1-9]*)/i',$f,$matches);
$count=array_count_values($matches[1]);

if(array_key_exists('style',$count)){

 $html.=' <tr>
    <td><a href="" class="btn_red">Performance</a></td>
    <td>Remove Inline CSS</td>
    <td><a href="" class="btn_green">Low Priority</a></td>
  </tr>';
}
$f = file_get_contents($website);
	$search = preg_match_all('/<([^\/!][a-z1-9]*)/i',$f,$matches);
$count=array_count_values($matches[1]);

if(array_key_exists('iframe',$count)){
   $html.=' <tr style="background:#f7f7f7;">
    <td><a href="" class="btn_red">Mobile & UI</a></td>
    <td>Mobile & UI Remove any iFrames </td>
    <td><a href="" class="btn_green">Low Priority</a></td>
  </tr>';
}
  
  
  
  
  
$html.='</table>


</div>
</div>
</div>
<div class="cta cta2" style="display:none"><div class="container text-center"><a id="btn2" href="#" class="btn ctabtn">call to action section</a></div></div>


</div>
 
 

  </body>
</html>
';
//echo $html ;
//exit;
file_put_contents($tempfile,$html);	

		}
	$this->data['camp_id']=$this->input->post('camp_id');
	$this->data['placeid']=$placeid;
	$this->data['email']=$email;
	$this->data['keyword']=$keyword;
	$this->data['location']=$location;
	$this->data['website']=$website;
	$this->data['tempfileurl']=base_url().'report/'.$userID.'/tempfile.html';
	$this->load->view('pages/generatereport',$this->data);	
		
	}
	
	//genrate seo report module start sub function
	
	function getUrlData($url)
	{
		$result = false;
   
		$contents = $this->getUrlContents($url);

		if (isset($contents) && is_string($contents))
		{
			$title = null;
			$metaTags = null;
			$titlename = null;
			$lenghtofkeyword = null;
			$arraycount = null;
		   
			preg_match('/<title>([^>]*)<\/title>/si', $contents, $match );

			if (isset($match) && is_array($match) && count($match) > 0)
			{
				$titlename = strip_tags($match[1]);
				//echo trim($title);
							$pattern = '/ /';    // ' ' or ','
				$array1= preg_split($pattern, $titlename, -1, PREG_SPLIT_NO_EMPTY); 			// split it in an array, so we have the count of words     
					//print_r($array);
				 $str = '<p><span style="display:block;color:#000000;font-weight:bold;">'.$titlename.' <span style="font-weight:normal;">(' . count($array1) . ' words | ' . strlen(trim($titlename)) . ' chars)</span></span> </p>';    // format data with count of words and chars
				$arraycount=count($array1);
				$lenghtofkeyword=strlen(trim($titlename));
			}
       
			preg_match_all('/<[\s]*meta[\s]*name="?' . '([^>"]*)"?[\s]*' . 'content="?([^>"]*)"?[\s]*[\/]?[\s]*>/si', $contents, $match);
		   
			if (isset($match) && is_array($match) && count($match) == 3)
			{
				$originals = $match[0];
				$names = $match[1];
				$values = $match[2];
			   
				if (count($originals) == count($names) && count($names) == count($values))
				{
					$metaTags = array();
				   
					for ($i=0, $limiti=count($names); $i < $limiti; $i++)
					{
						$metaTags[$names[$i]] = array (
							'html' => htmlentities($originals[$i]),
							'value' => $values[$i]
						);
					}
				}
			}
       
			$result = array (
				
				'metaTags' => $metaTags,
				'titlename'=>$titlename,
				'lenghtofkeyword'=>$lenghtofkeyword,
				'arraycount'=>$arraycount
			);
		}
   
		return $result;
	}
	
	
	function getUrlContents($url, $maximumRedirections = null, $currentRedirection = 0)
	{
		$result = false;
	   
		$contents = @file_get_contents($url);
	   
		// Check if we need to go somewhere else
	   
		if (isset($contents) && is_string($contents))
		{
			preg_match_all('/<[\s]*meta[\s]*http-equiv="?REFRESH"?' . '[\s]*content="?[0-9]*;[\s]*URL[\s]*=[\s]*([^>"]*)"?' . '[\s]*[\/]?[\s]*>/si', $contents, $match);
		   
			if (isset($match) && is_array($match) && count($match) == 2 && count($match[1]) == 1)
			{
				if (!isset($maximumRedirections) || $currentRedirection < $maximumRedirections)
				{
					return $this->getUrlContents($match[1][0], $maximumRedirections, ++$currentRedirection);
				}
			   
				$result = false;
			}
			else
			{
				$result = $contents;
			}
		}
	   
		return $contents;
	}

	function get_meta_data($url, $searchkey='') {   
		
		$data = get_meta_tags($url);    // get the meta data in an array
		//print_r($data);
		foreach($data as $key => $value) {
			
			if(mb_detect_encoding($value, 'UTF-8, ISO-8859-1', true) != 'ISO-8859-1') {    // check whether the content is UTF-8 or ISO-8859-1
			   
			   $value = utf8_decode($value);    // if UTF-8 decode it
			
			}
			$value = strtr($value, get_html_translation_table(HTML_ENTITIES));    // mask the content
			
			if($searchkey != '') {    // if only one meta tag is in demand e.g. 'description'
				if($key == $searchkey) {
					$str = $value;    // just return the value
				}
			} else {    // all meta tags
				$pattern = '/ /';    // ' ' or ','
				$array = preg_split($pattern, $value, -1, PREG_SPLIT_NO_EMPTY); 			// split it in an array, so we have the count of words     
					//print_r($array);
				echo $str = '<p><span style="display:block;color:#000000;font-weight:bold;">' . $key . ' <span style="font-weight:normal;">(' . count($array) . ' words | ' . strlen($value) . ' chars)</span></span>' . $value . '</p>';    // format data with count of words and chars
				$keys[]=$key;
				$arrays[]=$array;


				$meta=array(
				 'metanames'=>$key ,
				 'array'=>$array,
				 'value'=>$value
				 
				 );
			}
		}
		return $meta;
	}
	public function getmicrotime(){
		list($usec, $sec) = explode(" ",microtime());
		return ((float)$usec + (float)$sec);
    }
	
	//logo upload 
	
	public function logo_upload(){
		$config['upload_path']   =  "uploads/";
        $config['allowed_types'] =   "gif|jpg|jpeg|png"; 
        $config['max_size']      =   "5000";
        $config['max_width']     =   "1907";
        $config['max_height']    =   "1280";
	    //$config['overwrite']	=	true;
		$config['file_name']	=	'logo-'.rand(111,99999);
        $this->load->library('upload',$config);
		if(!$this->upload->do_upload())
        {
           echo $this->upload->display_errors();	
        }
		else
        {
			$finfo=$this->upload->data();
			//print_r($finfo);exit;
            //$this->createThumbnail($finfo['file_name']);
		    $image_name=$finfo['file_name'];
		    $path="uploads/";
			$user = $this->ion_auth->user()->row();
			$userID = $user->id;
			$status=1;
		    $this->Datamodel->insert_logo_img($image_name,$path,$status,$userID);
			echo $path.$image_name;
		}
	}
	
	public function publishreport(){
		$u = $this->ion_auth->user()->row();
		$user_id = $u->id;
		$header=$this->input->post('header1');
		$body=$this->input->post('body1');
		$camp_id=$this->input->post('camp_id');
		$placeid=$this->input->post('placeid');
		$inform_data=file_get_contents(base_url()."extra/proposal_data.php");
		$html="<!DOCTYPE html><html>".$header."<body>".$body.$inform_data."</body></html>";
		$ifvisible=base_url().'assets/htmlreport/js/ifvisible.js';
		$timeme=base_url().'assets/htmlreport/js/timeme.js';
		$add_camp_id='<div id="user_frameid" style="display:none">'.$camp_id.'</div>';
		$html=str_ireplace("ifvisible.js",$ifvisible,$html);
		$html=str_ireplace("timeme.js",$timeme,$html);
		$html=str_ireplace('<div id="user_frameid" style="display:none"></div>',$add_camp_id,$html);
		$this->Datamodel->Update_Report_data($html,$user_id,$camp_id,$placeid);
		echo 'SZd'.$placeid.'dLZd'.$camp_id.'dQZ';
	}
	
	public function sendmailreport(){
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		if(isset($_REQUEST['useremail']) && $_REQUEST['useremail'] !== '')
		{
			$email=$_REQUEST['useremail'];
			//$email='shailesh@sitestrokes.com';
			$strSubject=$_REQUEST['subject'];
			$contentdata=$_REQUEST['contentdata'];
			$place_id=$this->input->post('place_id');
			$campid=$this->input->post('campid');
			$place_location=$this->input->post('place_location');
			$keyword=$this->input->post('keyword');
			$website=$this->input->post('website');
			$user_name=$user->first_name.' '.$user->last_name;
			if(isset($_REQUEST['contentdata']))
			{
				$item1=base64_encode($userID);
				$item2=base64_encode($email);
				$unsuburl=base_url().'leadunsub/';
				//$statusurl=base_url().'extra/status.php';
				//$website_content='<a href="'.$statusurl.'?email=3D'.$item2.'&id=3D'.$item1.'&status=3D1">'.$website.'</a>'
				$emilcontent=$_REQUEST['contentdata'];	
				$emilcontent.='<a href="'.$unsuburl.'unsubscribe.php?email=3D'.$item2.'&id=3D'.$item1.'&status=3D1">unsubscribe</a>';
				//unset($_COOKIE['contentdata']);
				//$emailcontent =str_ireplace('href="htt','href=3D"htt',$emilcontent);
				$emailcontent =str_ireplace('{{Lead.User}}',$user_name,$emilcontent);
				$emailcontent =str_ireplace('{{Lead.Niche}}',$keyword,$emailcontent);
				$emailcontent =str_ireplace('{{Lead.Location}}',$place_location,$emailcontent);
				$emailcontent =str_ireplace('{{Lead.Website}}',$place_location,$emailcontent);
					
			}
			//echo $emailcontent;exit;
			$sql2=mysqli_query($this->db->conn_id,"select * from smtpdetails where user_id='".$userID."'");
			if(mysqli_num_rows($sql2)>0){
				
				while($row=mysqli_fetch_array($sql2)){
					$sendername=$row['sendername'];
					$senderemail=$row['senderemail'];
					$smtpaddr=$row['smtp_host'];
					$smtpusername=$row['smtp_user'];
					$smtppassword=$row['smtp_pass'];
					$smtpport=$row['smtp_port'];
					
					$this->load->library('email');
					$config['protocol'] = "smtp";
					$config['smtp_host'] = $smtpaddr;
					$config['smtp_port'] = $smtpport;
					$config['smtp_user'] = $smtpusername; 
					$config['smtp_pass'] = $smtppassword;
					$config['charset'] = "iso-8859-1";
					$config['mailtype'] = "html";
					$config['newline'] = "\r\n";
					$config['priority'] = "1";

					$this->email->initialize($config);

					$this->email->from($senderemail, $sendername);
					$this->email->to($email);
					$this->email->subject($strSubject);
					$this->email->message($emailcontent);
					
					if($this->email->send()== TRUE)
					{
						$this->data['msg']='success';
						$row_check=$this->Datamodel->check_email_place_exist($campid,$userID,$place_id);
						if($row_check ==0){
							$this->Datamodel->insert_emailstats($userID,$campid,$place_id,$email,$buzname,$keyword,1);
						}else{
							$this->Datamodel->update_emailstats($userID,$campid,$place_id,$email,1);
						}
					}else{
						$this->data['msg']='error';
					} 
				}
				$this->load->view('pages/emailstatus',$this->data);
			}
		}
	}
	public function deletelogo(){
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$this->Datamodel->delete_logo($userID);
		echo 1;
	}
	
	public function add_search_emails(){
		$keyword=$this->input->post('keyword');
		$location=$this->input->post('location');
		$email_list=$this->input->post('emaillist');
		$camp_id=$this->input->post('camp_id');
		$alredyexist=$this->Datamodel->check_email_list($camp_id,$keyword,$location);
		if($alredyexist==0){
			$this->Datamodel->add_email_list($camp_id,$keyword,$location,serialize($email_list));
		}
		
	}
	public function get_leads_count($camp_id){
		$data=$this->Datamodel->getleadscount($camp_id);
		//print_r($data);exit;
		$lead_count=array();
		foreach($data as $k=>$v){
			$lists=count(unserialize($v['listdata']->list));
			array_push($lead_count,$lists);
			//print_r(unserialize($lists));
			
		}
		return array_sum($lead_count);
	}
	
	public function get_sent_count($camp_id){
		
		return $data=$this->Datamodel->getsentscount($camp_id);
		
	}
	public function get_generatereport_list($camp_id){
		
		$data=$this->Datamodel->getgenratereportlist($camp_id);
		
		return $data;
	}
	
	public function get_keyword_list($camp_id){
		
		$data=$this->Datamodel->getkeywordlist($camp_id);
		$keyword_data=array();
		foreach($data as $k=>$v){
			$lists=$v['keyworddata']->keyword;
			array_push($keyword_data,$lists);
			//print_r(unserialize($lists));
			
		}
		return $keyword_data;
	}
	
	public function get_report_stats(){
		$camp_id=$this->input->post('camp_id');
		$data=$this->Datamodel->getStatsProposal($camp_id);
		echo json_encode($data,true);
	}
	/*...............New Functions *................ */
	private function processURL($url2)
	{
		$ch = curl_init();
		curl_setopt_array($ch, array(
		CURLOPT_URL => $url2,
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_SSL_VERIFYPEER => false,
		CURLOPT_SSL_VERIFYHOST => 2
		));

		$result = curl_exec($ch);
		curl_close($ch);
		return $result;
	}
}
?>